ranges::experimental::shared_closure< SharedFn > Struct Template Reference
Inheritance diagram for ranges::experimental::shared_closure< SharedFn >:

## Public Member Functions

constexpr | shared_closure (SharedFn fn)
Public Member Functions inherited from ranges::experimental::shared_closure_base
template<typename Rng , typename SharedFn >
CPP_TEMPLATE_AUX_0 | f (requires range< Rng > &&(!viewable_range< Rng >) &&constructible_from< detail::decay_t< Rng >, Rng >) fffriend const expr auto operator|(Rng &&rng

## Additional Inherited Members

Public Attributes inherited from ranges::experimental::shared_closure_base
CPP_TEMPLATE_AUX_0 shared_closure< SharedFn > | vw